{
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/bitrate.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/coalesce.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/connect.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/ftm.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/event.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/event.c",
                    "line": 322,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/info.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/info.c",
                    "line": 632,
                    "event": "error[shiftTooManyBitsSigned]",
                    "message": "Shifting signed 32-bit value by 31 bits is undefined behaviour",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/iw.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/iw.c",
                    "line": 207,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/iw.c",
                    "line": 217,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/iw.c",
                    "line": 418,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/iw.c",
                    "line": 436,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/interface.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/link.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/mgmt.c",
                    "line": 140,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'argc' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/mgmt.c",
                    "line": 140,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'argc' is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/mgmt.c",
                    "line": 141,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'argv' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/mgmt.c",
                    "line": 141,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'argv' is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/mesh.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/mpath.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/phy.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘parse_ftm_config’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "warning[-Wanalyzer-file-leak]",
                    "message": "leak of FILE ‘fopen(file, \"r\")’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 232,
                    "column": 17,
                    "event": "note",
                    "message": "(1) opened here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(2) assuming ‘fopen(file, \"r\")’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(3) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(4) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "note",
                    "message": "(5) ‘fopen(file, \"r\")’ leaks here; was opened at (1)",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘fopen(file, \"r\")’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 232,
                    "column": 17,
                    "event": "note",
                    "message": "(1) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(2) assuming ‘fopen(file, \"r\")’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(3) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(4) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "note",
                    "message": "(5) ‘fopen(file, \"r\")’ leaks here; was allocated at (1)",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 241,
                    "column": 25,
                    "event": "warning[-Wanalyzer-file-leak]",
                    "message": "leak of FILE ‘fopen(file, \"r\")’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 289,
                    "column": 12,
                    "event": "note",
                    "message": "(1) entry to ‘handle_ftm_req_send’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 296,
                    "column": 12,
                    "event": "note",
                    "message": "(2) following ‘false’ branch (when ‘argc > 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 299,
                    "column": 14,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 324,
                    "column": 12,
                    "event": "note",
                    "message": "(4) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 326,
                    "column": 17,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 327,
                    "column": 12,
                    "event": "note",
                    "message": "(6) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 330,
                    "column": 15,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 330,
                    "column": 15,
                    "event": "note",
                    "message": "(8) calling ‘parse_ftm_config’ from ‘handle_ftm_req_send’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 226,
                    "column": 12,
                    "event": "note",
                    "message": "(9) entry to ‘parse_ftm_config’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 232,
                    "column": 17,
                    "event": "note",
                    "message": "(10) opened here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(11) assuming ‘fopen(file, \"r\")’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(12) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "note",
                    "message": "(14) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 241,
                    "column": 25,
                    "event": "note",
                    "message": "(15) ...to here (16) ‘fopen(file, \"r\")’ leaks here; was opened at (10)",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 241,
                    "column": 25,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘fopen(file, \"r\")’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 289,
                    "column": 12,
                    "event": "note",
                    "message": "(1) entry to ‘handle_ftm_req_send’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 296,
                    "column": 12,
                    "event": "note",
                    "message": "(2) following ‘false’ branch (when ‘argc > 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 299,
                    "column": 14,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 324,
                    "column": 12,
                    "event": "note",
                    "message": "(4) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 326,
                    "column": 17,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 327,
                    "column": 12,
                    "event": "note",
                    "message": "(6) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 330,
                    "column": 15,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 330,
                    "column": 15,
                    "event": "note",
                    "message": "(8) calling ‘parse_ftm_config’ from ‘handle_ftm_req_send’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 226,
                    "column": 12,
                    "event": "note",
                    "message": "(9) entry to ‘parse_ftm_config’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 232,
                    "column": 17,
                    "event": "note",
                    "message": "(10) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(11) assuming ‘fopen(file, \"r\")’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(12) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "note",
                    "message": "(14) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 241,
                    "column": 25,
                    "event": "note",
                    "message": "(15) ...to here (16) ‘fopen(file, \"r\")’ leaks here; was allocated at (10)",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 690,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘handle_ftm_req’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 269,
                    "column": 21,
                    "event": "warning[-Wanalyzer-possible-null-dereference]",
                    "message": "dereference of possibly-NULL ‘req_argv’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 268,
                    "column": 20,
                    "event": "note",
                    "message": "(1) this call could return NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/measurements.c",
                    "line": 269,
                    "column": 21,
                    "event": "note",
                    "message": "(2) ‘calloc((long unsigned int)(argc + 1), 8)’ could be NULL: unchecked value from (1)",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/reg.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/sha256.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/station.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/survey.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/vendor.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/util.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/iw.c",
                    "line": 632,
                    "column": 8,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'idx' is used in the enclosing expression, the value is never actually read from 'idx'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/iw.c",
                    "line": 632,
                    "column": 8,
                    "event": "note",
                    "message": "Although the value stored to 'idx' is used in the enclosing expression, the value is never actually read from 'idx'",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/iw.c",
                    "line": 634,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'idx' is used in the enclosing expression, the value is never actually read from 'idx'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/iw.c",
                    "line": 634,
                    "column": 13,
                    "event": "note",
                    "message": "Although the value stored to 'idx' is used in the enclosing expression, the value is never actually read from 'idx'",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/wowlan.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/station.c",
                    "line": 284,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'pos' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/station.c",
                    "line": 284,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'pos' is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/util.c",
                    "line": 1890,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/util.c",
                    "line": 1890,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 538,
                    "column": 2,
                    "event": "warning[unix.Malloc]",
                    "message": "Potential leak of memory pointed to by 'meshid'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 402,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming 'ssids' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 402,
                    "column": 2,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 406,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming 'freqs' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 406,
                    "column": 2,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 412,
                    "column": 3,
                    "event": "note",
                    "message": "Control jumps to 'case NONE:'  at line 413",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 414,
                    "column": 4,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 418,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 418,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 421,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 421,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 424,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 424,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 427,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 427,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 430,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 430,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 433,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 433,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 437,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 443,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 443,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 447,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 447,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 451,
                    "column": 11,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 453,
                    "column": 5,
                    "event": "note",
                    "message": " Execution continues on line 411",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 412,
                    "column": 3,
                    "event": "note",
                    "message": "Control jumps to 'case MESHID:'  at line 483",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 485,
                    "column": 31,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 486,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'meshid' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 486,
                    "column": 4,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 493,
                    "column": 4,
                    "event": "note",
                    "message": " Execution continues on line 411",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 412,
                    "column": 3,
                    "event": "note",
                    "message": "Control jumps to 'case NONE:'  at line 413",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 414,
                    "column": 4,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 418,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 418,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 421,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 421,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 424,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 424,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 427,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 427,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 430,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 430,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 433,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 433,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 437,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 443,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 443,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 447,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 447,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 451,
                    "column": 11,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 453,
                    "column": 5,
                    "event": "note",
                    "message": " Execution continues on line 411",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 412,
                    "column": 3,
                    "event": "note",
                    "message": "Control jumps to 'case MESHID:'  at line 483",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 486,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'meshid' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 486,
                    "column": 4,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 487,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to line 538",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/iw-6.9-build/iw-6.9/scan.c",
                    "line": 538,
                    "column": 2,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'meshid'",
                    "verbosity_level": 2
                }
            ]
        }
    ]
}
