{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-171.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "iw-6.9-1.fc41",
        "store-results-to": "/tmp/tmplytnpjiu/iw-6.9-1.fc41.tar.xz",
        "time-created": "2024-07-03 13:39:19",
        "time-finished": "2024-07-03 13:40:26",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmplytnpjiu/iw-6.9-1.fc41.tar.xz' '--gcc-analyze' '/tmp/tmplytnpjiu/iw-6.9-1.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/bitrate.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/coalesce.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/connect.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/event.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "8ea03158a71f3ecaf7b5f4dcf8e8cb6fc4157c13",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/event.c",
                    "line": 322,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  320|   \tprintf(\"vendor event %.6x:%d\", vendor_id, subcmd);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  321|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  322|-> \tfor (i = 0; i < &__stop_vendor_event - __start_vendor_event; i++) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  323|   \t\tstruct vendor_event *ev = __start_vendor_event[i];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  324|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/ftm.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/info.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "b909dadb52198266306ec8835c1e41629f6db512",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/info.c",
                    "line": 632,
                    "event": "error[shiftTooManyBitsSigned]",
                    "message": "Shifting signed 32-bit value by 31 bits is undefined behaviour",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  630|   \t\t\t\t\tprintf(\", radar detect widths: {\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  631|   \t\t\t\t\tfor (width = 0; width < 32; width++)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  632|-> \t\t\t\t\t\tif (widths & (1 << width)) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  633|   \t\t\t\t\t\t\tprintf(\"%s %s\",",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  634|   \t\t\t\t\t\t\t       first ? \"\":\",\",",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/interface.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/iw.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "1954b8472cfb5d6764c4a8ab227ce82fb2269aa7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/iw.c",
                    "line": 207,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  205|   \tprintf(\"\\t--version\\tshow version (%s)\\n\", iw_version);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  206|   \tprintf(\"Commands:\\n\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  207|-> \tfor_each_cmd(section, i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  208|   \t\tif (section->parent)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  209|   \t\t\tcontinue;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "ec4d268c11c45a805dec1531bd98a2dfd18dbb1a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/iw.c",
                    "line": 217,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  215|   \t\t\t__usage_cmd(section, \"\\t\", full);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  216|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  217|-> \t\tfor_each_cmd(cmd, j) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  218|   \t\t\tif (section != cmd->parent)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  219|   \t\t\t\tcontinue;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "f820d0a872eaa589c0b6e3626dce786c1692f4a7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/iw.c",
                    "line": 418,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  416|   \targv++;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  417|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  418|-> \tfor_each_cmd(sectcmd, i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  419|   \t\tif (sectcmd->parent)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  420|   \t\t\tcontinue;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 570,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "4819a10ea814cecfd89cd24112b3fa773970d09b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/iw.c",
                    "line": 436,
                    "event": "error[subtractPointers]",
                    "message": "Subtracting pointers that point to different objects",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  434|   \t\tcommand = *argv;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  435|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  436|-> \t\tfor_each_cmd(cmd, i) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  437|   \t\t\tif (!cmd->handler)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  438|   \t\t\t\tcontinue;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "b175c3c1c39945d060d2d52cf0a7e9674b6cb602",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/iw.c",
                    "line": 632,
                    "column": 8,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'idx' is used in the enclosing expression, the value is never actually read from 'idx'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/iw.c",
                    "line": 632,
                    "column": 8,
                    "event": "note",
                    "message": "Although the value stored to 'idx' is used in the enclosing expression, the value is never actually read from 'idx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  630|    detect:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  631|   \t\tidby = II_NONE;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  632|-> \t\tif ((idx = if_nametoindex(argv[0])) != 0)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  633|   \t\t\tidby = II_NETDEV;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  634|   \t\telse if ((idx = phy_lookup(argv[0])) >= 0)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "45cfa12b44f3717ce2f790786c044fdb7fa70e92",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/iw.c",
                    "line": 634,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'idx' is used in the enclosing expression, the value is never actually read from 'idx'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/iw.c",
                    "line": 634,
                    "column": 13,
                    "event": "note",
                    "message": "Although the value stored to 'idx' is used in the enclosing expression, the value is never actually read from 'idx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  632|   \t\tif ((idx = if_nametoindex(argv[0])) != 0)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  633|   \t\t\tidby = II_NETDEV;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  634|-> \t\telse if ((idx = phy_lookup(argv[0])) >= 0)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  635|   \t\t\tidby = II_PHY_NAME;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  636|   \t\terr = __handle_cmd(&nlstate, idby, argc, argv, &cmd);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/link.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "00945fa278457a867828829d6fc726fb538ecc2e",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘parse_ftm_config’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "warning[-Wanalyzer-file-leak]",
                    "message": "leak of FILE ‘fopen(file, \"r\")’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 232,
                    "column": 17,
                    "event": "note",
                    "message": "(1) opened here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(2) assuming ‘fopen(file, \"r\")’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(3) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(4) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "note",
                    "message": "(5) ‘fopen(file, \"r\")’ leaks here; was opened at (1)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  238|   \t}",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  239|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  240|-> \tfor (line_num = 1; fgets(line, sizeof(line), input); line_num++) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  241|   \t\tif (line[0] == '#')",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  242|   \t\t\tcontinue;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "fa2eb5d62ee9759c4b408bf2f6ee9888eda84d23",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘fopen(file, \"r\")’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 232,
                    "column": 17,
                    "event": "note",
                    "message": "(1) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(2) assuming ‘fopen(file, \"r\")’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(3) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(4) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "note",
                    "message": "(5) ‘fopen(file, \"r\")’ leaks here; was allocated at (1)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  238|   \t}",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  239|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  240|-> \tfor (line_num = 1; fgets(line, sizeof(line), input); line_num++) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  241|   \t\tif (line[0] == '#')",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  242|   \t\t\tcontinue;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 775,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "a4e7872a0a0b6b7e9586fffbdac32c6a56594184",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 241,
                    "column": 25,
                    "event": "warning[-Wanalyzer-file-leak]",
                    "message": "leak of FILE ‘fopen(file, \"r\")’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 289,
                    "column": 12,
                    "event": "note",
                    "message": "(1) entry to ‘handle_ftm_req_send’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 296,
                    "column": 12,
                    "event": "note",
                    "message": "(2) following ‘false’ branch (when ‘argc > 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 299,
                    "column": 14,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 324,
                    "column": 12,
                    "event": "note",
                    "message": "(4) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 326,
                    "column": 17,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 327,
                    "column": 12,
                    "event": "note",
                    "message": "(6) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 330,
                    "column": 15,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 330,
                    "column": 15,
                    "event": "note",
                    "message": "(8) calling ‘parse_ftm_config’ from ‘handle_ftm_req_send’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 226,
                    "column": 12,
                    "event": "note",
                    "message": "(9) entry to ‘parse_ftm_config’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 232,
                    "column": 17,
                    "event": "note",
                    "message": "(10) opened here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(11) assuming ‘fopen(file, \"r\")’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(12) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "note",
                    "message": "(14) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 241,
                    "column": 25,
                    "event": "note",
                    "message": "(15) ...to here (16) ‘fopen(file, \"r\")’ leaks here; was opened at (10)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  239|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  240|   \tfor (line_num = 1; fgets(line, sizeof(line), input); line_num++) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  241|-> \t\tif (line[0] == '#')",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  242|   \t\t\tcontinue;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  243|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "61fcc30b15858ef0fbbb11bce547b4bfd2d56df9",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 241,
                    "column": 25,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘fopen(file, \"r\")’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 289,
                    "column": 12,
                    "event": "note",
                    "message": "(1) entry to ‘handle_ftm_req_send’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 296,
                    "column": 12,
                    "event": "note",
                    "message": "(2) following ‘false’ branch (when ‘argc > 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 299,
                    "column": 14,
                    "event": "note",
                    "message": "(3) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 324,
                    "column": 12,
                    "event": "note",
                    "message": "(4) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 326,
                    "column": 17,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 327,
                    "column": 12,
                    "event": "note",
                    "message": "(6) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 330,
                    "column": 15,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 330,
                    "column": 15,
                    "event": "note",
                    "message": "(8) calling ‘parse_ftm_config’ from ‘handle_ftm_req_send’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 226,
                    "column": 12,
                    "event": "note",
                    "message": "(9) entry to ‘parse_ftm_config’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 232,
                    "column": 17,
                    "event": "note",
                    "message": "(10) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(11) assuming ‘fopen(file, \"r\")’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 233,
                    "column": 12,
                    "event": "note",
                    "message": "(12) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 240,
                    "column": 28,
                    "event": "note",
                    "message": "(14) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 241,
                    "column": 25,
                    "event": "note",
                    "message": "(15) ...to here (16) ‘fopen(file, \"r\")’ leaks here; was allocated at (10)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  239|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  240|   \tfor (line_num = 1; fgets(line, sizeof(line), input); line_num++) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  241|-> \t\tif (line[0] == '#')",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  242|   \t\t\tcontinue;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  243|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "hash_v1": "e44068c025e71f41361e7dbee9bc73b3fb9b8f3c",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘handle_ftm_req’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 269,
                    "column": 21,
                    "event": "warning[-Wanalyzer-possible-null-dereference]",
                    "message": "dereference of possibly-NULL ‘req_argv’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 268,
                    "column": 20,
                    "event": "note",
                    "message": "(1) this call could return NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/measurements.c",
                    "line": 269,
                    "column": 21,
                    "event": "note",
                    "message": "(2) ‘calloc((long unsigned int)(argc + 1), 8)’ could be NULL: unchecked value from (1)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  267|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  268|   \treq_argv = calloc(argc + 1, sizeof(req_argv[0]));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  269|-> \treq_argv[0] = argv[0];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  270|   \treq_argv[1] = \"measurement\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  271|   \treq_argv[2] = \"ftm_request_send\";",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/mesh.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "858d550887dd7224100190977f35a6eb10dc4130",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/mgmt.c",
                    "line": 140,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'argc' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/mgmt.c",
                    "line": 140,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'argc' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  138|   \t\t\tcount = 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  139|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|-> \t\targc -= 2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|   \t\targv += 2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|   \t} else if (argc) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "59d5ad19792e4b2a29d36933b53b1b6f1183ee66",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/mgmt.c",
                    "line": 141,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'argv' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/mgmt.c",
                    "line": 141,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'argv' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  139|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|   \t\targc -= 2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|-> \t\targv += 2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|   \t} else if (argc) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  143|   \t\terr = HANDLER_RET_USAGE;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/mpath.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/phy.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/reg.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "215aea87bf53839a1aff09ec692ffaf2bc12b817",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 538,
                    "column": 2,
                    "event": "warning[unix.Malloc]",
                    "message": "Potential leak of memory pointed to by 'meshid'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 402,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming 'ssids' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 402,
                    "column": 2,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 406,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming 'freqs' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 406,
                    "column": 2,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 412,
                    "column": 3,
                    "event": "note",
                    "message": "Control jumps to 'case NONE:'  at line 413",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 414,
                    "column": 4,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 418,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 418,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 421,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 421,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 424,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 424,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 427,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 427,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 430,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 430,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 433,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 433,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 437,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 443,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 443,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 447,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 447,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 451,
                    "column": 11,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 453,
                    "column": 5,
                    "event": "note",
                    "message": " Execution continues on line 411",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 412,
                    "column": 3,
                    "event": "note",
                    "message": "Control jumps to 'case MESHID:'  at line 483",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 485,
                    "column": 31,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 486,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'meshid' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 486,
                    "column": 4,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 493,
                    "column": 4,
                    "event": "note",
                    "message": " Execution continues on line 411",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 412,
                    "column": 3,
                    "event": "note",
                    "message": "Control jumps to 'case NONE:'  at line 413",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 414,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 414,
                    "column": 4,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 418,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 418,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 421,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 421,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 424,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 424,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 427,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 427,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 430,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 430,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 433,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 433,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 15,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 437,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 436,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 443,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 443,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 447,
                    "column": 15,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 447,
                    "column": 11,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 451,
                    "column": 11,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 453,
                    "column": 5,
                    "event": "note",
                    "message": " Execution continues on line 411",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'argc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 411,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 412,
                    "column": 3,
                    "event": "note",
                    "message": "Control jumps to 'case MESHID:'  at line 483",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 486,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming 'meshid' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 486,
                    "column": 4,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 487,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to line 538",
                    "verbosity_level": 2
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/scan.c",
                    "line": 538,
                    "column": 2,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'meshid'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  536|   \terr = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  537|    nla_put_failure:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  538|-> \tnlmsg_free(ssids);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  539|   \tnlmsg_free(freqs);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  540|   \tif (meshid)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/sha256.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/station.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "428055d64f3081ae9ecc2d0b0628c838fc266f60",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/station.c",
                    "line": 284,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'pos' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/station.c",
                    "line": 284,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'pos' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  282|   \t\t\t\t\" EHT-GI %d\", nla_get_u8(rinfo[NL80211_RATE_INFO_EHT_GI]));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  283|   \tif (rinfo[NL80211_RATE_INFO_EHT_RU_ALLOC])",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  284|-> \t\tpos += snprintf(pos, buflen - (pos - buf),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  285|   \t\t\t\t\" EHT-RU-ALLOC %d\", nla_get_u8(rinfo[NL80211_RATE_INFO_EHT_RU_ALLOC]));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  286|   }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/survey.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/util.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "77869d3b21396564b676e71ed73c4e5287478ed5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/util.c",
                    "line": 1890,
                    "column": 3,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "iw-6.9-build/iw-6.9/util.c",
                    "line": 1890,
                    "column": 3,
                    "event": "note",
                    "message": "Value stored to 'offset' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1888|   \t\toffset += sprintf(buf + offset, \"%s\", ((cap >> 1) & 0x8) ? \" 8\" : \"\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1889|   \t\toffset += sprintf(buf + offset, \"%s\", ((cap >> 1) & 0x10) ? \" 16\" : \"\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1890|-> \t\toffset += sprintf(buf + offset, \" MHz\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1891|   \t\tprintf(\"\\t\\t\\t%s\\n\", buf);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1892|   \t}",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/vendor.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "iw-6.9-build/iw-6.9/wowlan.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        }
    ]
}
